Get Token Allowance
POST
Retrieves the amount of ERC20 tokens that the owner has approved for the spender.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
contractAddressstringrequired
Parameter specifying the contract address to query. This field uses a 34-character base58 string format starting with "T".ownerAddressstringrequired
Parameter specifying the account address to query. This field uses a 34-character base58 string format starting with "T".spenderAddressstringrequired
Parameter specifying the account address to query. This field uses a 34-character base58 string format starting with "T".Responses
allowancestring
Returns the remaining number of tokens that the spender can use on behalf of the owner through transferFrom. This value changes when approve or transferFrom is called.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/tron/mainnet/token/getTokenAllowance' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t","ownerAddress": "T9123456789012345678901234567890123456789","spenderAddress": "T9123456789012345678901234567890123456789"}'